import UnificationSwitchableList from "./UnificationSwitchableList.js";
import UnificationRightPane from "./UnificationRightPane.js";

export default {
  data () {
    return {
      entryId: null,
      lexicalUnitId: null,
      unifiedFrameId: null,
      isEdit: false,
      gettext: window.gettext,
    };
  },
  components: {UnificationSwitchableList, UnificationRightPane},
  methods: {
    lexicalUnitSelected (entryId, lexicalUnitId) {
      this.entryId = entryId;
      this.lexicalUnitId = lexicalUnitId;
      this.isEdit = false;
    },
    unifiedFrameSelected (unifiedFrameId) {
      this.unifiedFrameId = unifiedFrameId;
      this.isEdit = true;
    }
  },
  template: `
    <div id="entries-list" class="col h-100 w-100 px-0">
        <div id="entries-list-div" class="col p-0 h-100 w-100 overflow-auto">
            <unification-switchable-list
              @lexical-unit-selected="lexicalUnitSelected"
              @unified-frame-selected="unifiedFrameSelected"
            />
        </div>
    </div>
    <div id="entry-display" class="col h-100 p-0">
      <div id="right-pane">
        <unification-right-pane 
          :entryId="entryId" 
          :lexicalUnitId="lexicalUnitId" 
          :initialUnifiedFrameId="unifiedFrameId"
          :initialIsEdit="isEdit" />
      </div>
    </div>
  `
};
